summaryrefslogtreecommitdiffstats
path: root/network/dnscrypt-proxy
diff options
context:
space:
mode:
author T3slider2013-07-26 00:53:22 +0200
committer Erik Hanson2013-10-12 21:38:01 +0200
commitffcf14328ead64f268fe39e5fcbfe5d40a327415 (patch)
tree14d22cd1e38bb7f562370a2764d07ea6e68283e2 /network/dnscrypt-proxy
parentc8758b9e794b435b3d8656da020902f1845969cc (diff)
downloadslackbuilds-ffcf14328ead64f268fe39e5fcbfe5d40a327415.tar.gz
network/dnscrypt-proxy: Added (an encrypted DNS resolver/forwarder)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'network/dnscrypt-proxy')
-rw-r--r--network/dnscrypt-proxy/README6
-rw-r--r--network/dnscrypt-proxy/dnscrypt-proxy.SlackBuild99
-rw-r--r--network/dnscrypt-proxy/dnscrypt-proxy.info10
-rw-r--r--network/dnscrypt-proxy/slack-desc19
4 files changed, 134 insertions, 0 deletions
diff --git a/network/dnscrypt-proxy/README b/network/dnscrypt-proxy/README
new file mode 100644
index 0000000000..658045cb40
--- /dev/null
+++ b/network/dnscrypt-proxy/README
@@ -0,0 +1,6 @@
+dnscrypt-proxy is a tool for securing communications between a client and a DNS
+resolver. It provides a local service which can be used directly as your local
+resolver or as a DNS forwarder, encrypting and authenticating requests using the
+DNSCrypt protocol and passing them to an upstream server.
+
+By default dnscrypt-proxy is configured to use OpenDNS' servers.
diff --git a/network/dnscrypt-proxy/dnscrypt-proxy.SlackBuild b/network/dnscrypt-proxy/dnscrypt-proxy.SlackBuild
new file mode 100644
index 0000000000..cab72a8f4b
--- /dev/null
+++ b/network/dnscrypt-proxy/dnscrypt-proxy.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Slackware build script for dnscrypt-proxy
+
+# Copyright 2013 T3slider
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=dnscrypt-proxy
+VERSION=${VERSION:-1.3.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING INSTALL NEWS README README-PLUGINS.markdown README.markdown TECHNOTES THANKS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/dnscrypt-proxy/dnscrypt-proxy.info b/network/dnscrypt-proxy/dnscrypt-proxy.info
new file mode 100644
index 0000000000..0accca1aca
--- /dev/null
+++ b/network/dnscrypt-proxy/dnscrypt-proxy.info
@@ -0,0 +1,10 @@
+PRGNAM="dnscrypt-proxy"
+VERSION="1.3.2"
+HOMEPAGE="http://dnscrypt.org/"
+DOWNLOAD="http://download.dnscrypt.org/dnscrypt-proxy/dnscrypt-proxy-1.3.2.tar.bz2"
+MD5SUM="18452e3d28ff9535013eede1da62df65"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libsodium"
+MAINTAINER="T3slider"
+EMAIL="t3slider@gmail.com"
diff --git a/network/dnscrypt-proxy/slack-desc b/network/dnscrypt-proxy/slack-desc
new file mode 100644
index 0000000000..01a046d200
--- /dev/null
+++ b/network/dnscrypt-proxy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+dnscrypt-proxy: dnscrypt-proxy (an encrypted DNS resolver/forwarder)
+dnscrypt-proxy:
+dnscrypt-proxy: dnscrypt-proxy provides a local service which can be used directly as
+dnscrypt-proxy: your local resolver or as a DNS forwarder, encrypting and
+dnscrypt-proxy: authenticating requests using the DNSCrypt protocol and passing them
+dnscrypt-proxy: to an upstream DNSCrypt-enabled server.
+dnscrypt-proxy:
+dnscrypt-proxy: http://dnscrypt.org/
+dnscrypt-proxy:
+dnscrypt-proxy:
+dnscrypt-proxy: